claw::graphic Namespace Reference

Everything about image structures and processing. More...

## Classes

class | bitmap
| A class for bitmap images. More...
class | color_palette
| A palette of colors, for palettized images. More...
class | gif
| A class for gif pictures. More...
class | image
| A class to deal with images. More...
class | jpeg
| A class for jpeg pictures. More...
class | pcx
| A class for pcx pictures. More...
struct | rgb_pixel
| RGB pixel. More...
struct | rgba_pixel
| RGBA pixel. More...
class | png
| A class for png pictures. More...
class | targa
| A class for targa pictures. More...
class | xbm
| A class for xbm pictures. More...

## Typedefs

typedef rgb_pixel | rgb_pixel_8
| A color with 8 bits per component.
typedef rgba_pixel | rgba_pixel_8
| A color with 8 bits per component and an alpha channel.

## Functions

void | jpeg__error_manager__error_exit (j_common_ptr cinfo)
| Throw an exception when an error occurs in an internal jpeg processing.

## Variables

rgba_pixel | white_pixel
| The white color.
rgba_pixel | red_pixel
| The red color.
rgba_pixel | yellow_pixel
| The yellow color.
rgba_pixel | magenta_pixel
| The magenta color.
rgba_pixel | transparent_pixel (0, 0, 0, 0)
| A transparent color.
rgba_pixel | black_pixel (0, 0, 0, std::numeric_limits< rgba_pixel::component_type >::max())
| The black color.
rgba_pixel | blue_pixel (0, 0, std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max())
| The blue color.
rgba_pixel | green_pixel (0, std::numeric_limits< rgba_pixel::component_type >::max(), 0, std::numeric_limits< rgba_pixel::component_type >::max())
| The green color.
rgba_pixel | cyan_pixel (0, std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max())
| The cyan color.
rgba_pixel | white_pixel (std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max())
rgba_pixel | red_pixel (std::numeric_limits< rgba_pixel::component_type >::max(), 0, 0, std::numeric_limits< rgba_pixel::component_type >::max())
rgba_pixel | yellow_pixel (std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max(), 0, std::numeric_limits< rgba_pixel::component_type >::max())
rgba_pixel | magenta_pixel (std::numeric_limits< rgba_pixel::component_type >::max(), 0, std::numeric_limits< rgba_pixel::component_type >::max(), std::numeric_limits< rgba_pixel::component_type >::max())

## Detailed Description

Everything about image structures and processing.

## Typedef Documentation

## rgb_pixel_8

typedef rgb_pixel claw::graphic::rgb_pixel_8

A color with 8 bits per component.

Definition at line 123 of file pixel.hpp.

## rgba_pixel_8

typedef rgba_pixel claw::graphic::rgba_pixel_8

A color with 8 bits per component and an alpha channel.

Definition at line 126 of file pixel.hpp.

## Function Documentation

## jpeg__error_manager__error_exit()

void claw::graphic::jpeg__error_manager__error_exit | ( | j_common_ptr | cinfo | ) |

Throw an exception when an error occurs in an internal jpeg processing.

Parameters

  cinfo | Informations about the process.

Definition at line 39 of file jpeg_error_manager.cpp.

References claw::graphic::jpeg::error_manager::error_string, and claw::graphic::jpeg::error_manager::setjmp_buffer.

Referenced by claw::graphic::jpeg::writer::save().